Skip to main content
`Ctrl`+`K`

# PCRedistributeGetKSP

Gets the `KSP` created by the `PCREDISTRIBUTE`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCRedistributeGetKSP(PC pc, KSP *innerksp)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- innerksp - the inner `KSP`

## See Also

KSP: Linear System Solvers, `KSP`, `PCREDISTRIBUTE`

## Level

advanced

## Location

src/ksp/pc/impls/redistribute/redistribute.c

## Examples

src/ksp/ksp/tutorials/ex84.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages